squid(8)

NAME
squid - proxy caching server

SYNOPSIS
squid [ -dhsvzCDFNRVYX ] [ -f config-file ] [ -[ au ] port ] [ -k signal ]

DESCRIPTION
squid is a high-performance proxy caching server for web clients, supporting FTP, gopher, and HTTP data objects. Unlike traditional caching software, squid handles all requests in a single, non-blocking, I/O-driven process.

squid keeps meta data and especially hot objects cached in RAM, caches DNS lookups, supports non-blocking DNS lookups, and implements negative caching of failed requests.

squid supports SSL, extensive access controls, and full request logging. By using the lightweight Internet Cache Protocol, squid caches can be arranged in a hierarchy or mesh for additional bandwidth savings.

squid consists of a main server program squid, a Domain Name System lookup program dnsserver, some optional programs for rewriting requests and performing authentication, and some management and client tools. When squid starts up, it spawns a configurable number of dnsserver processes, each of which can perform a single, blocking Domain Name System (DNS) lookup. This reduces the amount of time the cache waits for DNS lookups.

squid is derived from the ARPA-funded Harvest Project http://harvest.cs.colorado.edu/

This manual page only lists the command line arguments. For details on how to configure squid see the file /etc/squid/squid.conf, the FAQ included with the distribution and the documentation at the squid home page http://www.squid-cache.org

OPTIONS

-a port
    Specify HTTP port number (default: 3128).

-d level
    Write debugging to stderr also.

-f file
    Use the given config-file instead of /etc/squid/squid.conf

-h  Print help message.

-k reconfigure | rotate | shutdown | interrupt | kill | debug | check | parse
    Parse configuration file, then send signal to running copy (except -k parse) and exit.

-s  Enable logging to syslog.

-u port
    Specify ICP port number (default: 3130), disable with 0.

-v  Print version.

-z  Create swap directories

-C  Do not catch fatal signals.

-D  Disable initial DNS tests.

-F  Don't serve any requests until store is rebuilt.

-N  No daemon mode.

-R  Do not set REUSEADDR on port.

-V  Virtual host httpd-accelerator.

-X  Force full debugging.

-Y  Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.

FILES
/etc/squid/squid.conf
    The main configuration file. You must initially make changes to this file for squid to work. For example, the default configuration does not allow access from any browser.